package com.perforce;

import javax.servlet.ServletContext;

public class ServletContextHolder {

	private ServletContext _servletContext;

	private static ServletContextHolder _instance;

	private ServletContextHolder() {}

	public static synchronized ServletContextHolder getInstance() {
		if (_instance == null) {
			_instance = new ServletContextHolder();
		}
		return _instance;
	}

	public ServletContext getServletContext() {
		return _servletContext;
	}

	public void setServletContext(ServletContext ctx) {
		_servletContext = ctx;
	}
}
